# Conclusion {-}
L'objectif final du projet était de mettre en place une API permettant à n'importe quel utilisateur de créer, tester puis déployer des stratégies de trading. Elle devait offrir un accès simplifié à une infrastructure distribuée sur laquelle différents types de données boursières sont stockées. L'infrastructure d'exécution des stratégies devait offrir une garantie de fonctionnement continu. Un outil de visualisation devait permettre d'afficher les performances des agents en cours d'exécution sur un cluster.
L'ensemble de ces fonctionnalités ont été développées et mises en place. L'API offre une manière très simple et élégante de créer des stratégies de trading et de les déployer sans difficultés.

La réalisation de ce Bachelor m'a permis de comprendre ma manière de travailler et où il y avait un travail d'amélioration à faire. Une certaine quantité de temps a été perdue sur de simples problèmes qui n'impactaient en aucun cas l'avancement de l'ensemble du projet, mais sur lesquels je me suis obstiné. Un tel projet m'a tout de même permis de découvrir et utiliser des outils performants que je n'aurai surement jamais utilisés. Ils restent cependant difficiles à prendre en main, et la courbe d'apprentissage est raide. Mais une fois ces connaissances acquise, ce sont des outils apprèciable, performant et très agréable à utiliser. L'un des objectifs était de développer de petites stratégies à l'aide d'intelligences artificielles tel que des algorithmes génétiques, ou des réseaux neuronaux. M'étant concentrer principalement sur l'API et la mise en place de l'architecture distribué, cette partie n'a pas pû être réalisée dans les temps.

Les idées derrière ce projet sont très intéressantes et innovantes. Un tel outil offre de grands horizons de possibilités. La structure générique du projet et sa facilité de manipulation, permettra plus tard de rajouter de nouvelles fonctionnalités comme le traitement de l'actualité et la génération d'arbres de dépendances entre les marchés. Ce sont des idées intéressantes qui permettront d'analyser les marchés à un échelle encore plus grande et offriront probablement de très bonne prédictions.

\pagebreak